2020-08-04 16:05 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000594Spring engineGeneralpublic2007-08-18 01:12
Reporterimbaczek 
Assigned Toimbaczek 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000594: crash: unloading aircraft from hover transport
DescriptionUsing script Empty script
Map: neurope_a5.smf
Mod: "Balanced Annihilation V5.5 + Final Frontier" from BA 5.5 + FF.sdd
Created server on port 8452
Created local client with number 0
Listening to local client on connection 0
TransportHover: 1
Opening map file
Loading Map
Loading detail textures
Creating overhead texture
Creating ground shading
Loading tile file
Reading tiles
Reading tile map
Creating projectile texture
Number of damage types: 67
Loading units and weapons
Warning to many unit categories 33 missed notstructure
Warning to many unit categories 33 missed tport
Warning to many unit categories 33 missed notstructure
Warning to many unit categories 33 missed fort
Initializing map features
Generating trees
Parsing unit icons
Creating unit textures
Unknown feature type wall
Unknown feature type cluster0
Unknown feature type cluster1
Unknown feature type cluster2
Unknown feature type cluster3
Reading estimate path costs
Creating sky
Spring 0.75b2
Reloaded ctrlpanel with: LuaUI/ctrlpanel.txt
LuaUI: bound F11 to the widget selector
LuaUI: bound CTRL+F11 to tweak mode
LuaUI v0.2
Player no name joined as 0
[string "LuaUI/Widgets/gui_center_n_select.lua"]:27: Bad unitID parameter in GetUnitPosition()
Removed widget: Select n Center!
<no name> .give AUndertaker @1873,-71,1576
<no name> .cheat
Cheating!
<no name> .give AUndertaker @1873,-71,1576
Giving 1 AUndertaker to team 0
<no name> .give armepoch @1873,-71,1576
Couldnt find wreckage info armepoch
armepoch is not a valid unitname
<no name> .give armbats @1873,-71,1576
Giving 1 armbats to team 0
<no name> .team 1
<no name> .give armbull @999,121,2156
Giving 1 armbull to team 1
<no name> .team 0
<no name> .give armatlas @796,118,1952
Giving 1 armatlas to team 0
Team1 (no name) fell flat
Game over
<no name> .team 1
<no name> .give armpw @1241,121,1997
Giving 1 armpw to team 1
<no name> .give armatlas @1241,121,1997
Giving 1 armatlas to team 1
<no name> .give armpw @1147,121,2046
Giving 1 armpw to team 1
<no name> .give CHyperion @1147,121,2046
Giving 1 CHyperion to team 1
HYPERION: Self destruct in 4 s
HYPERION: Self destruct in 3 s
HYPERION: Self destruct in 2 s
HYPERION: Self destruct in 1 s
<no name> .team 0
<no name> .give CHyperion @655,94,1945
Giving 1 CHyperion to team 0
Team1 (no name) lost their marbles
HYPERION: Self destruct in 4 s
HYPERION: Self destruct in 3 s
HYPERION: Self destruct in 2 s
<no name> .give corcom @1044,121,1181
Giving 1 corcom to team 0
HYPERION: Self destruct in 1 s
<no name> .give armhp @1144,121,2166
Giving 1 armhp to team 0
<no name> .nocost
Cheating!
<no name> .give armca @1432,121,2403
Giving 1 armca to team 0
Spring 0.75b2 has crashed.
Exception: Access violation (0xc0000005)
Exception Address: 0x007388d3
DLL information:
0x00400000 spring
0x77450000 ntdll
0x76d10000 kernel32
0x75fd0000 ADVAPI32
0x77050000 RPCRT4
0x6b810000 dsound
0x77120000 msvcrt
0x75f30000 USER32
0x75eb0000 GDI32
0x760f0000 ole32
0x74410000 WINMM
0x75da0000 OLEAUT32
0x743d0000 OLEACC
0x75060000 POWRPROF
0x744a0000 GLU32
0x6fe70000 OPENGL32
0x6c1e0000 DDRAW
0x6fd90000 DCIMAN32
0x76ec0000 SETUPAPI
0x70f50000 dwmapi
0x75f00000 IMAGEHLP
0x73b50000 WSOCK32
0x75e80000 WS2_32
0x775b0000 NSI
0x10000000 SDL
0x7c340000 MSVCR71
0x00240000 DevIL
0x66fc0000 freetype6
0x61b80000 zlib1
0x003d0000 glew32
0x00cb0000 ILU
0x77580000 IMM32
0x771d0000 MSCTF
0x775a0000 LPK
0x773d0000 USP10
0x74a20000 uxtheme
0x75d10000 CLBCatQ
0x69500000 nvoglv32
0x75360000 mswsock
0x75040000 wshtcpip
0x74eb0000 MMDevApi
0x76090000 SHLWAPI
0x74a60000 comctl32
0x74df0000 WINTRUST
0x75640000 CRYPT32
0x75790000 MSASN1
0x75bc0000 USERENV
0x75ba0000 Secur32
0x73e00000 audioses
0x73d90000 audioeng
0x74f70000 AVRT
0x75c70000 PSAPI
0x737f0000 dbghelp
Stacktrace:
(0) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x1a4e73) [0x007388D3]
(1) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x1a679a) [0x0073A1FA]
(2) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x1a4569) [0x00737FC9]
(3) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x1ad87a) [0x007412DA]
(4) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x18e799) [0x007221F9]
(5) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x6c01f) [0x005FFA7F]
(6) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x1f31e) [0x005B2D7E]
(7) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x4948a) [0x005DCEEA]
(8) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x4ab8e) [0x005DE5EE]
(9) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x286049) [0x00819AA9]
(10) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x28e208) [0x00821C68]
(11) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x28e5d8) [0x00822038]
(12) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x28e809) [0x00822269]
(13) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x37b6e7) [0x0090F147]
(14) C:\Program Files\Spring\spring.exe [0x00401292]
(15) C:\Program Files\Spring\spring.exe [0x004012DD]
(16) C:\Windows\system32\kernel32.dll(BaseThreadInitThunk+0x12) [0x76D53833]
(17) C:\Windows\system32\ntdll.dll(LdrInitializeThunk+0x4d) [0x7748A9BD]


(0) CTransportCAI::FindEmptySpot(float3, float, float, float3&, CUnit*)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/Units/CommandAI/TransportCAI.cpp:382

(1) CTransportCAI::ExecuteUnloadUnits(Command&)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/Units/CommandAI/TransportCAI.cpp:217

(2) CTransportCAI::SlowUpdate()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/Units/CommandAI/TransportCAI.cpp:86

(3) CCommandAI::GiveAllowedCommand(Command const&)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/Units/CommandAI/CommandAI.cpp:620

(4) CMobileCAI::GiveCommandReal(Command const&)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/Units/CommandAI/MobileCAI.cpp:213

(5) CSelectedUnitsAI::GiveCommandNet(Command&, int)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Game/SelectedUnitsAI.cpp:95

(6) CSelectedUnits::NetOrder(Command&, int)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Game/SelectedUnits.cpp:511

(7) CGame::ClientReadNet()
    /opt/mingw42/lib/gcc/i586-mingw32msvc/4.2.0/include/c++/bits/stl_vector.h:120

(8) CGame::Update()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Game/Game.cpp:1776

(9) SpringApp::Update()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/System/Main.cpp:838

(10) SpringApp::Run(int, char**)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/System/Main.cpp:1023

(11) Run(int, char**)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/System/Main.cpp:1083

(12) WinMain@16
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/System/Main.cpp:1146

(13) luabind::detail::create_class::stage2(lua_State*)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/lua/luabind/src/create_class.cpp:104

(14) ??
    WeaponDefHandler.cpp:0

(15) ??
    WeaponDefHandler.cpp:0

(16) ??
    ??:0

(17) ??
    ??:0

Additional Informationhttp://spring.clan-sy.com/phpbb/viewtopic.php?t=11577

In modrules.tdf, under heading section Transportability, set transportair=1. Subsequently, go ingame and .give any transport unit and .give any air unit. Load air unit, then unload. Crashes at unloading.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001116

imbaczek (reporter)

fixed in r4217.
+Notes

-Issue History
Date Modified Username Field Change
2007-08-17 13:15 imbaczek New Issue
2007-08-18 00:39 imbaczek Additional Information Updated
2007-08-18 01:12 imbaczek Note Added: 0001116
2007-08-18 01:12 imbaczek Status new => resolved
2007-08-18 01:12 imbaczek Resolution open => fixed
2007-08-18 01:12 imbaczek Assigned To => imbaczek
+Issue History